classdesc

  Class representing a state.

### Hierarchy

- State

## Index

### Constructors

- constructor

### Properties

- _entities
- _timestamp

### Accessors

- entities
- timestamp

## Constructors

### constructor

- new State(engine: Engine): State

- - Defined in core/State.ts:13
  description

    Create a state instance from an engine.

  #### Parameters

  - ##### engine: Engine

    Engine instance

  #### Returns State

## Properties

### Private _entities

_entities: any[]

- Defined in core/State.ts:13

### Private _timestamp

_timestamp: number

- Defined in core/State.ts:12

## Accessors

### entities

- get entities(): Entity[]

- - Defined in core/State.ts:44
  description

    Get the state's entities.

  readonly

  #### Returns Entity[]

  - Array of entity instances

### timestamp

- get timestamp(): number

- - Defined in core/State.ts:53
  description

    Get the state's timestamp in milliseconds.

  readonly

  #### Returns number

  - Timestamp in milliseconds